using AbstractShopContracts.BindingModels;
using AbstractShopContracts.SearchModels;
using AbstractShopContracts.ViewModels;

namespace AbstractShopContracts.BusinessLogicsContracts
{
    public interface IImplementerLogic
    {
        List<ImplementerViewModel>? ReadList(ImplementerSearchModel? model);

        ImplementerViewModel? ReadElement(ImplementerSearchModel model);

        bool Create(ImplementerBindingModel model);

        bool Update(ImplementerBindingModel model);

        bool Delete(ImplementerBindingModel model);
    }
}